body {
     background-image: url('../background1.webp');
     background-size: cover;
     background-position: center;
     background-repeat: no-repeat;

     font-family: Arial, sans-serif;
     text-align: center;
     /*background-color: #43ba47;
      background: linear-gradient(to bottom, #a8e063, #56ab2f); */
     color: white;
     padding: 20px;
}

a {
     color: #fff;
     font-size: 16pt;
}

.links {
     padding: 3px;
}

.linkgroup {
     /* background: linear-gradient(to top, #20996f, #1898d3); */
     background-color: #1898d3;
     border: solid 1px black;
     width: 20%;
     margin: auto;
     padding-top: 25px;
     padding-bottom: 25px;
     border-radius: 15px;
     box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

.title,
.titleLeft,
.titleRight {
     color: rgb(244, 128, 96);
     /* color: rgba(190, 134, 49, 0.95); */
     text-shadow: 1px 1px 1px rgba(200, 200, 200, 0.5);
}

.titleLeft {
     text-align: left;
     padding-left: 15px;
}

.titleRight {
     text-align: right;
     padding-right: 15px;
}

.vertical_spacer {
     min-height: 25px;
}

.times {
     max-width: 800px;
     margin: auto;
     /* background: rgba(0, 0, 0, 0.3); */
     /* background-color: rgba(76, 175, 80, 0.5); */
     background-color: rgba(179, 203, 214, 0.75);
     padding: 20px;
     border-radius: 10px;
     box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

.timezone {
     margin: 10px 0;
     font-size: 1.2em;
}

.units {
     background-color: rgba(179, 203, 214, 0.85);
}

#distances {
     background-color: rgba(179, 203, 214, 0.85);
     /* White with 70% opacity */
     border-collapse: collapse;
     box-shadow: 0 0 35px 15px rgb(255, 255, 0);
     /* Yellow glow effect */
     padding: 20px;
     border-radius: 15px;
     margin: auto;
     width: fit-content;
}

#hdr_dist {
     font-weight: 900;
     font-size: 2.0em;
     padding: 15px;
     color: #eaf20d;
     text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
}

.cols_dist {
     font-weight: 700;
     font-size: 1.5em;
     padding-bottom: 10px;
     text-decoration: underline;
}

.cols_dist_c {
     font-weight: 700;
     font-size: 1.5em;
     padding-bottom: 10px;
     padding-right: 20px;
     text-align: center;
     text-decoration: underline;
}

.cols_dist_r {
     font-weight: 700;
     font-size: 1.5em;
     padding-bottom: 10px;
     padding-right: 15px;
     text-align: right;
     text-decoration: underline;
}

.rows_dist_l {
     text-align: left;
     padding-bottom: 15px;
     padding-left: 20px;
     padding-right: 20px;
     font-weight: 700;
     font-size: 1.2em;
     color: rgba(244, 255, 235, 0.85);
}

.rows_dist_c {
     text-align: center;
     padding-bottom: 15px;
     padding-right: 20px;
     font-weight: 600;
     font-size: 1.1em;
     color: rgba(244, 255, 235, 0.85);
}

.rows_dist_r {
     text-align: right;
     padding-bottom: 15px;
     padding-right: 15px;
     font-weight: 700;
     font-size: 1.2em;
     color: rgba(244, 255, 235, 0.85);
}

.rows_dist_l_b {
     text-align: left;
     padding-bottom: 15px;
     padding-left: 20px;
     padding-right: 20px;
     font-weight: 700;
     font-size: 1.2em;
     color: rgba(95, 148, 52, 0.85);
}

.rows_dist_c_b {
     text-align: center;
     padding-bottom: 15px;
     padding-right: 20px;
     font-weight: 600;
     font-size: 1.1em;
     color: rgba(95, 148, 52, 0.85);
}

.rows_dist_r_b {
     text-align: right;
     padding-bottom: 15px;
     padding-right: 15px;
     font-weight: 700;
     font-size: 1.2em;
     color: rgba(95, 148, 52, 0.85);
}

.centeredTable {
     width: 95%;
     margin: auto;
}

/* table {
     width: 95%;
     margin: auto;
     border-collapse: collapse;
}

th,
td {
     border: 1px solid #aaa;
     padding: 10px;
     text-align: left;
}

th {
     background: #4CAF50;
     color: #999;
} */

.expand-btn {
     cursor: pointer;
     background: #4CAF50;
     color: white;
     border: none;
     padding: 5px 10px;
     border-radius: 5px;
}

.hidden {
     display: none;
}

.header {
     display: flex;
     margin: auto;
     justify-content: center;
     background-color: rgba(179, 203, 214, 0.75);
     border-radius: 50px 50px 0px 0px;
}

.slogan {
     color: rgba(190, 134, 49, 0.95);
     padding-top: 10px;
     padding-bottom: 10px;
     padding-right: 25px;
     font-size: 24pt;
     font-weight: 900;
     font-style: italic;
     font-family: Georgia, 'Times New Roman', Times, serif;
     text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
}

.equals {
     color: #eee;
     padding-top: 10px;
     padding-bottom: 10px;
     padding-right: 25px;
     font-size: 24pt;
     font-weight: 900;
     text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
}

.sitename {
     padding-top: 10px;
     padding-bottom: 10px;
     font-size: 24pt;
     font-weight: 900;
     text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
}

.tabs {
     display: flex;
     background-color: rgba(179, 203, 214, 0.15);
     padding: 10px;
     justify-content: center;
     align-items: center;
     /* border-radius: 10px; */
     border-radius: 0px 0px 50px 50px;
     gap: 5px;
     box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

.sub-tabs {
     display: flex;
     background-color: #e0e0e0;
     padding: 10px;
     justify-content: center;
     align-items: center;
     border-radius: 10px;
     gap: 5px;
     border-top: 1px solid #ccc;
}

.tab,
.sub-tab {
     padding: 10px 20px;
     cursor: pointer;
     border: 1px solid #ddd;
     margin-right: 5px;
     background-color: #aaa;
     transition: background-color 0.3s;
     border-radius: 10px;
}

.tab.active,
.sub-tab.active {
     /* background-color: #4CAF50; */
     /* background-color: rgb(244, 128, 96); */
     background-color: rgba(244, 190, 96, 0.95);
     border: 1px solid rgba(208, 162, 82, 0.95);
     color: #fff;
     border-radius: 10px;
}

.content {
     padding: 20px;
     /* border-top: 1px solid #ccc; */
     min-height: 500px;
}

.footer {
     padding-top: 10px;
     margin: auto;
     background-color: rgba(179, 203, 214, 0.15);
}

.slider-container {
     width: 500px;
     align-items: center;
     justify-content: space-between;
     margin: auto;
     background-color: rgba(179, 203, 214, 0.75);
     padding: 20px;
     border-radius: 10px;
     box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);

}

.td_center {
     text-align: center;
}

.td_left {
     text-align: left;
}

.td_right {
     text-align: right;
     width: 125px;
}

.unit_td_left {
     padding-left: 10px;
     text-align: left;
}

.unit_td_right {
     padding-right: 10px;
     text-align: right;
}

.spacer125 {
     width: 125px;
}

#inputValue {
     width: 193px;
}

#fromUnit,
#toUnit,
#btnConvert {
     width: 200px;
}

#btnConvert {
     background-color: rgba(244, 190, 96, 0.95);
     border-color: rgba(244, 190, 96, 0.95);
     /* border-radius: 10px 10px 10px 10px; */
     color: #fff;
}

#result {
     width: 200px;
     background-color: rgba(179, 203, 214, 0.75);
}

.converter {
     background-color: rgba(179, 203, 214, 0.75);
     padding: 20px;
     box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
     width: 50%;
     margin: 0 auto;
     text-align: center;
}

input[type="range"] {
     width: 90%;
     margin: 10px;
     -webkit-appearance: none;
     appearance: none;
     height: 10px;
     border-radius: 5px;
     outline: none;
     transition: background 0.2s;
}

/* Styles for sliders */
#slider1 {
     background: linear-gradient(to right, red, orange);
}

#slider2 {
     background: linear-gradient(to right, green, lime);
}

/* Input field styles */
.input-box {
     width: 100px;
     text-align: center;
     font-size: 16px;
     padding: 5px;
     border: 1px solid #ccc;
     border-radius: 5px;
}

.calculated-container {
     display: flex;
     justify-content: center;
     gap: 30px;
     margin-top: 20px;
}

.calculated-value {
     font-size: 22px;
     font-weight: bold;
     color: rgba(111, 111, 223, 0.9);
     text-align: center;
}

.rowLabel {
     text-align: right;
}

#dollarsign {
     text-align: right;
}

#percentsign {
     text-align: left;
}

#divMain {
     background-color: yellow;
}

#topLeft {
     background-color: #4CAF50;
}

#topRight {
     background-color: #999999;
}

#bottomLeft {
     background-color: lightgreen;
}

#bottomRight {
     background-color: lightskyblue;
}

.outer {
     display: flex;
     flex-direction: column;
     /* max-width: 800px; */
     margin: auto;
     gap: 20px;
}

.top {
     width: 100%;
     /* background-color: #4a90e2; */
     color: white;
     padding: 20px;
     text-align: center;
}

.grid {
     display: grid;
     grid-template-columns: 1fr 1fr;
     gap: 15px;
}

.box {
     background-color: #f2f2f2;
     color: black;
     font-weight: 800;
     padding: 10px;
     text-align: center;
     border: 1px solid #ccc;
     border-radius: 8px;
}

#tblNumberLine {
     text-align: left;
     align-items: center;
     justify-content: space-between;
     margin: auto;
     background-color: rgba(179, 203, 214, 0.75);
     padding: 20px;
     border-radius: 10px;
     box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
     width: 650px;
}

.listNormalAlignment {
     text-align: left;
}

#imgNumberLine {
     border-radius: 10px;
}

.boxContent {
     border-radius: 10px;
     /* background-color: rgba(237, 237, 237, 0.95); */
     font-weight: 500;
     padding-left: 75px;
     padding-right: 75px;
     padding-top: 15px;
     padding-bottom: 15px;
     text-align: left;
}

.container {
     display: flex;
     flex-wrap: wrap;
     gap: 30px;
     justify-content: center;
     align-items: center;
}

.card {
     background: white;
     border-radius: 10px;
     box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
     padding: 5px;
     width: 425px;
}

.result {
     margin-top: 10px;
     font-weight: bold;
}

label,
input {
     display: block;
     margin: 5px;
}

input[type="number"] {
     width: 75px;
     padding: 8px;
     text-align: center;
}

button {
     padding: 8px;
     margin-left: 15px;
     margin-right: 15px;
     cursor: pointer;
}

.fldAnswer {
     width: 75px;
     justify-content: center;
     text-align: center;
     align-items: center;
}

.fldButton {
     justify-content: center;
     align-items: center;
     width: 40px;
}

.fldOperator {
     justify-content: center;
     align-items: center;
     text-align: center;
     width: 25px;
}

.fldValue {
     justify-content: center;
     align-items: center;
     text-align: center;
     width: 75px;
}

#addResult {
     background-color: rgba(237, 237, 237, 0.95);
     text-align: center;
     justify-content: center;
     align-items: center;
}

#subResult {
     background-color: rgba(237, 237, 237, 0.95);
     text-align: center;
     justify-content: center;
     align-items: center;
}

.sidetext {
     padding: 5px;
     font-size: 11pt;
     font-weight: bold;
     background: none;
     border: none;
     color: rgb(244, 128, 96);
     text-align: left;
     transition: background-color 0.3s;
     outline: none;
     width: 200px;
}

.amazonlinks {
     padding: 3px 10px;
     cursor: pointer;
     font-size: 11pt;
     background: none;
     border: none;
     color: rgb(244, 244, 244);
     text-shadow: 1px 1px 1px rgba(200, 200, 200, 0.5);
     text-align: left;
     transition: background-color 0.3s;
     outline: none;
}